org.apache.tapestry5.internal.transform
Class ActivationRequestParameterWorker

java.lang.Object
  extended by org.apache.tapestry5.internal.transform.ActivationRequestParameterWorker
All Implemented Interfaces:
ComponentClassTransformWorker

public class ActivationRequestParameterWorker
extends Object
implements ComponentClassTransformWorker

Hooks the activate event handler on the component (presumably, a page) to extract query parameters, and hooks the link decoration events to extract values and add them to the Link.

Since:
5.2.0
See Also:
ActivationRequestParameter

Constructor Summary
ActivationRequestParameterWorker(Request request, ComponentClassCache classCache, ValueEncoderSource valueEncoderSource)
           
 
Method Summary
 void transform(ClassTransformation transformation, MutableComponentModel model)
          Invoked to perform a transformation on an as-yet unloaded component class, represented by the ClassTransformation instance.
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Constructor Detail

ActivationRequestParameterWorker

public ActivationRequestParameterWorker(Request request,
                                        ComponentClassCache classCache,
                                        ValueEncoderSource valueEncoderSource)
Method Detail

transform

public void transform(ClassTransformation transformation,
                      MutableComponentModel model)
Description copied from interface: ComponentClassTransformWorker
Invoked to perform a transformation on an as-yet unloaded component class, represented by the ClassTransformation instance. In some cases, the worker may make changes to the component model -- for example, a worker that deals with parameters may update the model to reflect those parameters.

Specified by:
transform in interface ComponentClassTransformWorker


Copyright © 2006-2011 Apache Software Foundation. All Rights Reserved.